Bug 21124 - what about kernel arguments???
Summary: what about kernel arguments???
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkbootdisk (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Dale Lovelace
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-20 15:00 UTC by Stig Hackvan
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-21 00:02:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stig Hackvan 2000-11-20 15:00:37 UTC
there is no facility in mkbootdisk for passing arguments to the
kernel....like memory size and vga setting...  what gives?  why don't these
get parsed from /etc/lilo.conf?  why isn't there a single-user shortcut,
too...

image=/boot/vmlinuz-2.2.14-5.0		# maintenance reboot for fixin' stuff
	label=single
	append="single"

here is a very quick hack:
#############################################################################
#
# patch follows (vs redhat 6.1 mkbootdisk-1.2.2)
#

--- updates/mkbootdisk	Mon Nov 20 05:58:35 2000
+++ /sbin/mkbootdisk	Wed Jan 19 13:10:53 2000
@@ -148,7 +148,8 @@
 cp -Pa $rootdev $MOUNTDIR
 cp -a /boot/boot.b $MOUNTDIR/boot/boot.b
 
-cat > $MOUNTDIR/etc/lilo.conf <<EOF
+egrep '^(append|vga)' /etc/lilo.conf > $MOUNTDIR/etc/lilo.conf
+cat >> $MOUNTDIR/etc/lilo.conf <<EOF
 boot=$device
 timeout=100
 message=/boot/message

Comment 1 Stig Hackvan 2000-11-21 00:01:53 UTC
also, making boot disks shouldn't be so black box.  mkbootdisk should give out
the advice that the boot disk can be manually hacked...

it's an ext2 disk, btw, so you can hack it 
### manually:  
###
###    mount -t ext2 /dev/fd0 /mnt ; vi /mnt/etc/lilo.conf ; lilo -r /mnt

IN FACT, there should be a makefile there...

lilo:
        /sbin/lilo -r `pwd`



Comment 2 Stig Hackvan 2000-11-21 00:02:24 UTC
and here's another bug that you can RE-FILE UNDER LILO:

        if a floppy has been mounted as type 'auto' in fstab,
        then lilo-0.21-15.i386.rpm will be unable to open /dev/fd0
        the floppy MUST BE MOUNTED -t ext2


Comment 3 Erik Troan 2002-06-03 18:36:51 UTC
1.4.4 supports args= properly (for both grub and lilo)


Note You need to log in before you can comment on or make changes to this bug.